DashboardGet API keyIntroducción
Referencia de la API
Ads
Advertisers
Brandtrackers
Discovery
Emails
Facets
Favorites
Identity
Shops
System
Get public API metadataCheck public API healthRead public API data freshness
Tik Tok
Usage
Workspace
Trendtrack
Trendtrack
ReferenciaAPI

System

List shop products

Previous Page

Get public API metadata

Next Page

Get public API metadata

Returns a minimal bootstrap payload describing the current Trendtrack Public API version and status.

Response Body

application/json

application/json

{
  "name": "Trendtrack Public API",
  "version": "v1",
  "status": "ok"
}
{
  "error": {
    "code": "missing_api_key",
    "message": "Provide an API key using Authorization: Bearer <api_key>.",
    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
    "details": {
      "validationErrors": [
        {
          "field": "query-string.limit",
          "location": "query-string",
          "expected": [
            "limit must not be greater than 100"
          ]
        }
      ]
    }
  }
}

Check public API health

Returns a lightweight health payload for the public bootstrap mounted under /v1.

Response Body

application/json

application/json

{
  "status": "ok",
  "timestamp": "2026-04-20T07:28:18.700Z",
  "uptime": 123
}
{
  "error": {
    "code": "missing_api_key",
    "message": "Provide an API key using Authorization: Bearer <api_key>.",
    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
    "details": {
      "validationErrors": [
        {
          "field": "query-string.limit",
          "location": "query-string",
          "expected": [
            "limit must not be greater than 100"
          ]
        }
      ]
    }
  }
}

Read public API data freshness

Returns the latest ready and latest indexed/scheduled global snapshot dates for public API reach-history data.

Response Body

application/json

application/json

{
  "status": "ok",
  "data": {
    "latestReadyDate": "2026-04-23",
    "latestScheduledDate": "2026-04-24",
    "dataFreshnessLagDays": 1,
    "generatedAt": "2026-04-24T14:42:14.123Z"
  }
}
{
  "error": {
    "code": "missing_api_key",
    "message": "Provide an API key using Authorization: Bearer <api_key>.",
    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",
    "details": {
      "validationErrors": [
        {
          "field": "query-string.limit",
          "location": "query-string",
          "expected": [
            "limit must not be greater than 100"
          ]
        }
      ]
    }
  }
}
curl -X GET "https://api.trendtrack.io/v1"
curl -X GET "https://api.trendtrack.io/v1/health"
curl -X GET "https://api.trendtrack.io/v1/system/freshness"